using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("IdentificationDocuments")]
    public class IdentificationDocument
    {
        [Column("IdentificationDocumentID")]
        public int IdentificationDocumentID { get; set; }

        [Column("Type")]
        public string Type { get; set; }

        [Column("ExpirationDate")]
        public DateTime ExpirationDate { get; set; }

        [Column("Filename")]
        public string Filename { get; set; }

        [Column("File")]
        public byte[] File { get; set; }

        [Column("UploadedOn")]
        public DateTime UploadedOn { get; set; }

        [Column("UserID")]
        public int UserID { get; set; }

        [Column("IsDeleted")]
        public bool? IsDeleted { get; set; }

        [Column("IdNumber")]
        public string IdNumber { get; set; }

        [Column("PlaceIssued")]
        public string PlaceIssued { get; set; }

        [Column("DateIssued")]
        public DateTime DateIssued { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("IdentificationDocument_UID")]
        public Guid? IdentificationDocument_UID { get; set; }

        [ForeignKey("UserID")]
        public User User { get; set; }

        public List<TransactionSelfie> TransactionSelfie { get; set; }
    }
}